<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PackagePartCollection (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PackagePartCollection (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PackagePartCollection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/PackagePartCollection.html" target="_top">Frames</a>
        </li>
        <li><a href="PackagePartCollection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.openxml4j.opc</div>
    <h2 title="Class PackagePartCollection" class="title">Class PackagePartCollection</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.openxml4j.opc.PackagePartCollection</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">PackagePartCollection</span>
extends java.lang.Object
implements java.io.Serializable</pre>
                <div class="block">A package part collection.</div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd>
                        <a href="../../../../../serialized-form.html#org.apache.poi.openxml4j.opc.PackagePartCollection">Serialized
                            Form</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html#PackagePartCollection--">PackagePartCollection</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html#containsKey-org.apache.poi.openxml4j.opc.PackagePartName-">containsKey</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html#get-org.apache.poi.openxml4j.opc.PackagePartName-">get</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html#getUnusedPartIndex-java.lang.String-">getUnusedPartIndex</a></span>(java.lang.String&nbsp;nameTemplate)</code>
                                    <div class="block">Get an unused part index based on the namePattern, which doesn't
                                        exist yet
                                        and has the lowest positive index
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html#put-org.apache.poi.openxml4j.opc.PackagePartName-org.apache.poi.openxml4j.opc.PackagePart-">put</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                       title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>
                                    <div class="block">Check rule [M1.11]: a package implementer shall neither create
                                        nor
                                        recognize a part with a part name derived from another part name by
                                        appending segments to it.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html#remove-org.apache.poi.openxml4j.opc.PackagePartName-">remove</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;key)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html#size--">size</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.util.Collection&lt;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html#sortedValues--">sortedValues</a></span>()</code>
                                    <div class="block">The values themselves should be returned in sorted order.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PackagePartCollection--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PackagePartCollection</h4>
                                <pre>public&nbsp;PackagePartCollection()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="put-org.apache.poi.openxml4j.opc.PackagePartName-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>put</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                    title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;put(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName,
                       <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                          title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</pre>
                                <div class="block">Check rule [M1.11]: a package implementer shall neither create nor
                                    recognize a part with a part name derived from another part name by
                                    appending segments to it.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>partName</code> - name of part</dd>
                                    <dd><code>part</code> - part to put</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the previous value associated with <code>partName</code>, or
                                        <code>null</code> if there was no mapping for <code>partName</code>.
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidOperationException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidOperationException</a></code>
                                        - Throws if you try to add a part with a name derived from
                                        another part name.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="remove-org.apache.poi.openxml4j.opc.PackagePartName-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>remove</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                    title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;remove(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;key)</pre>
                            </li>
                        </ul>
                        <a name="sortedValues--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>sortedValues</h4>
                                <pre>public&nbsp;java.util.Collection&lt;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&gt;&nbsp;sortedValues()</pre>
                                <div class="block">The values themselves should be returned in sorted order. Doing it
                                    here
                                    avoids paying the high cost of Natural Ordering per insertion.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>unmodifiable collection of parts</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsKey-org.apache.poi.openxml4j.opc.PackagePartName-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsKey</h4>
                                <pre>public&nbsp;boolean&nbsp;containsKey(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName)</pre>
                            </li>
                        </ul>
                        <a name="get-org.apache.poi.openxml4j.opc.PackagePartName-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                    title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;get(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName)</pre>
                            </li>
                        </ul>
                        <a name="size--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>size</h4>
                                <pre>public&nbsp;int&nbsp;size()</pre>
                            </li>
                        </ul>
                        <a name="getUnusedPartIndex-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getUnusedPartIndex</h4>
                                <pre>public&nbsp;int&nbsp;getUnusedPartIndex(java.lang.String&nbsp;nameTemplate)
                       throws <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                 title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></pre>
                                <div class="block">Get an unused part index based on the namePattern, which doesn't
                                    exist yet
                                    and has the lowest positive index
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>nameTemplate</code> - The template for new part names containing a <code>'#'</code>
                                        for the index,
                                        e.g. "/ppt/slides/slide#.xml"
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the next available part name index</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                        - if the nameTemplate is null or doesn't contain
                                        the index char (#) or results in an invalid part name
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PackagePartCollection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/PackagePartCollection.html" target="_top">Frames</a>
        </li>
        <li><a href="PackagePartCollection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
